// Code generated by protoc-gen-go. DO NOT EDIT.
// source: attributes.proto

package mascot

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type ReadAttributeMessage struct {
	DeviceName           string   `protobuf:"bytes,1,opt,name=deviceName,proto3" json:"deviceName,omitempty"`
	AttributeName        string   `protobuf:"bytes,2,opt,name=attributeName,proto3" json:"attributeName,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReadAttributeMessage) Reset()         { *m = ReadAttributeMessage{} }
func (m *ReadAttributeMessage) String() string { return proto.CompactTextString(m) }
func (*ReadAttributeMessage) ProtoMessage()    {}
func (*ReadAttributeMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_f97a9220cd723d2e, []int{0}
}

func (m *ReadAttributeMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadAttributeMessage.Unmarshal(m, b)
}
func (m *ReadAttributeMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadAttributeMessage.Marshal(b, m, deterministic)
}
func (m *ReadAttributeMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadAttributeMessage.Merge(m, src)
}
func (m *ReadAttributeMessage) XXX_Size() int {
	return xxx_messageInfo_ReadAttributeMessage.Size(m)
}
func (m *ReadAttributeMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadAttributeMessage.DiscardUnknown(m)
}

var xxx_messageInfo_ReadAttributeMessage proto.InternalMessageInfo

func (m *ReadAttributeMessage) GetDeviceName() string {
	if m != nil {
		return m.DeviceName
	}
	return ""
}

func (m *ReadAttributeMessage) GetAttributeName() string {
	if m != nil {
		return m.AttributeName
	}
	return ""
}

type ReadAttributeReply struct {
	Success              bool             `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	Error                *Error           `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	Data                 *DeviceAttribute `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *ReadAttributeReply) Reset()         { *m = ReadAttributeReply{} }
func (m *ReadAttributeReply) String() string { return proto.CompactTextString(m) }
func (*ReadAttributeReply) ProtoMessage()    {}
func (*ReadAttributeReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_f97a9220cd723d2e, []int{1}
}

func (m *ReadAttributeReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadAttributeReply.Unmarshal(m, b)
}
func (m *ReadAttributeReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadAttributeReply.Marshal(b, m, deterministic)
}
func (m *ReadAttributeReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadAttributeReply.Merge(m, src)
}
func (m *ReadAttributeReply) XXX_Size() int {
	return xxx_messageInfo_ReadAttributeReply.Size(m)
}
func (m *ReadAttributeReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadAttributeReply.DiscardUnknown(m)
}

var xxx_messageInfo_ReadAttributeReply proto.InternalMessageInfo

func (m *ReadAttributeReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func (m *ReadAttributeReply) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

func (m *ReadAttributeReply) GetData() *DeviceAttribute {
	if m != nil {
		return m.Data
	}
	return nil
}

type DeviceAttribute struct {
	DataFormat           AttrDataFormat      `protobuf:"varint,1,opt,name=data_format,json=dataFormat,proto3,enum=mascot.AttrDataFormat" json:"data_format,omitempty"`
	DimX                 int64               `protobuf:"varint,2,opt,name=dim_x,json=dimX,proto3" json:"dim_x,omitempty"`
	DimY                 int64               `protobuf:"varint,3,opt,name=dim_y,json=dimY,proto3" json:"dim_y,omitempty"`
	HasFailed            bool                `protobuf:"varint,4,opt,name=has_failed,json=hasFailed,proto3" json:"has_failed,omitempty"`
	IsEmpty              bool                `protobuf:"varint,5,opt,name=is_empty,json=isEmpty,proto3" json:"is_empty,omitempty"`
	Name                 string              `protobuf:"bytes,6,opt,name=name,proto3" json:"name,omitempty"`
	NbRead               int64               `protobuf:"varint,7,opt,name=nb_read,json=nbRead,proto3" json:"nb_read,omitempty"`
	NbWritten            int64               `protobuf:"varint,8,opt,name=nb_written,json=nbWritten,proto3" json:"nb_written,omitempty"`
	Quality              AttrQuality         `protobuf:"varint,9,opt,name=quality,proto3,enum=mascot.AttrQuality" json:"quality,omitempty"`
	RDimension           *AttributeDimension `protobuf:"bytes,10,opt,name=r_dimension,json=rDimension,proto3" json:"r_dimension,omitempty"`
	Time                 *TimeVal            `protobuf:"bytes,11,opt,name=time,proto3" json:"time,omitempty"`
	Type                 CmdArgType          `protobuf:"varint,12,opt,name=type,proto3,enum=mascot.CmdArgType" json:"type,omitempty"`
	Value                *AttributeValue     `protobuf:"bytes,13,opt,name=value,proto3" json:"value,omitempty"`
	WDimX                int64               `protobuf:"varint,14,opt,name=w_dim_x,json=wDimX,proto3" json:"w_dim_x,omitempty"`
	WDimY                int64               `protobuf:"varint,15,opt,name=w_dim_y,json=wDimY,proto3" json:"w_dim_y,omitempty"`
	WDimension           *AttributeDimension `protobuf:"bytes,16,opt,name=w_dimension,json=wDimension,proto3" json:"w_dimension,omitempty"`
	WValue               string              `protobuf:"bytes,17,opt,name=w_value,json=wValue,proto3" json:"w_value,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *DeviceAttribute) Reset()         { *m = DeviceAttribute{} }
func (m *DeviceAttribute) String() string { return proto.CompactTextString(m) }
func (*DeviceAttribute) ProtoMessage()    {}
func (*DeviceAttribute) Descriptor() ([]byte, []int) {
	return fileDescriptor_f97a9220cd723d2e, []int{2}
}

func (m *DeviceAttribute) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeviceAttribute.Unmarshal(m, b)
}
func (m *DeviceAttribute) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeviceAttribute.Marshal(b, m, deterministic)
}
func (m *DeviceAttribute) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeviceAttribute.Merge(m, src)
}
func (m *DeviceAttribute) XXX_Size() int {
	return xxx_messageInfo_DeviceAttribute.Size(m)
}
func (m *DeviceAttribute) XXX_DiscardUnknown() {
	xxx_messageInfo_DeviceAttribute.DiscardUnknown(m)
}

var xxx_messageInfo_DeviceAttribute proto.InternalMessageInfo

func (m *DeviceAttribute) GetDataFormat() AttrDataFormat {
	if m != nil {
		return m.DataFormat
	}
	return AttrDataFormat_SCALAR
}

func (m *DeviceAttribute) GetDimX() int64 {
	if m != nil {
		return m.DimX
	}
	return 0
}

func (m *DeviceAttribute) GetDimY() int64 {
	if m != nil {
		return m.DimY
	}
	return 0
}

func (m *DeviceAttribute) GetHasFailed() bool {
	if m != nil {
		return m.HasFailed
	}
	return false
}

func (m *DeviceAttribute) GetIsEmpty() bool {
	if m != nil {
		return m.IsEmpty
	}
	return false
}

func (m *DeviceAttribute) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *DeviceAttribute) GetNbRead() int64 {
	if m != nil {
		return m.NbRead
	}
	return 0
}

func (m *DeviceAttribute) GetNbWritten() int64 {
	if m != nil {
		return m.NbWritten
	}
	return 0
}

func (m *DeviceAttribute) GetQuality() AttrQuality {
	if m != nil {
		return m.Quality
	}
	return AttrQuality_ATTR_VALID
}

func (m *DeviceAttribute) GetRDimension() *AttributeDimension {
	if m != nil {
		return m.RDimension
	}
	return nil
}

func (m *DeviceAttribute) GetTime() *TimeVal {
	if m != nil {
		return m.Time
	}
	return nil
}

func (m *DeviceAttribute) GetType() CmdArgType {
	if m != nil {
		return m.Type
	}
	return CmdArgType_DevVoid
}

func (m *DeviceAttribute) GetValue() *AttributeValue {
	if m != nil {
		return m.Value
	}
	return nil
}

func (m *DeviceAttribute) GetWDimX() int64 {
	if m != nil {
		return m.WDimX
	}
	return 0
}

func (m *DeviceAttribute) GetWDimY() int64 {
	if m != nil {
		return m.WDimY
	}
	return 0
}

func (m *DeviceAttribute) GetWDimension() *AttributeDimension {
	if m != nil {
		return m.WDimension
	}
	return nil
}

func (m *DeviceAttribute) GetWValue() string {
	if m != nil {
		return m.WValue
	}
	return ""
}

type WriteAttributeMessage struct {
	DeviceName           string          `protobuf:"bytes,1,opt,name=deviceName,proto3" json:"deviceName,omitempty"`
	AttributeName        string          `protobuf:"bytes,2,opt,name=attributeName,proto3" json:"attributeName,omitempty"`
	Value                *AttributeValue `protobuf:"bytes,3,opt,name=value,proto3" json:"value,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *WriteAttributeMessage) Reset()         { *m = WriteAttributeMessage{} }
func (m *WriteAttributeMessage) String() string { return proto.CompactTextString(m) }
func (*WriteAttributeMessage) ProtoMessage()    {}
func (*WriteAttributeMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_f97a9220cd723d2e, []int{3}
}

func (m *WriteAttributeMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WriteAttributeMessage.Unmarshal(m, b)
}
func (m *WriteAttributeMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WriteAttributeMessage.Marshal(b, m, deterministic)
}
func (m *WriteAttributeMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WriteAttributeMessage.Merge(m, src)
}
func (m *WriteAttributeMessage) XXX_Size() int {
	return xxx_messageInfo_WriteAttributeMessage.Size(m)
}
func (m *WriteAttributeMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_WriteAttributeMessage.DiscardUnknown(m)
}

var xxx_messageInfo_WriteAttributeMessage proto.InternalMessageInfo

func (m *WriteAttributeMessage) GetDeviceName() string {
	if m != nil {
		return m.DeviceName
	}
	return ""
}

func (m *WriteAttributeMessage) GetAttributeName() string {
	if m != nil {
		return m.AttributeName
	}
	return ""
}

func (m *WriteAttributeMessage) GetValue() *AttributeValue {
	if m != nil {
		return m.Value
	}
	return nil
}

type WriteReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *WriteReply) Reset()         { *m = WriteReply{} }
func (m *WriteReply) String() string { return proto.CompactTextString(m) }
func (*WriteReply) ProtoMessage()    {}
func (*WriteReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_f97a9220cd723d2e, []int{4}
}

func (m *WriteReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_WriteReply.Unmarshal(m, b)
}
func (m *WriteReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_WriteReply.Marshal(b, m, deterministic)
}
func (m *WriteReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_WriteReply.Merge(m, src)
}
func (m *WriteReply) XXX_Size() int {
	return xxx_messageInfo_WriteReply.Size(m)
}
func (m *WriteReply) XXX_DiscardUnknown() {
	xxx_messageInfo_WriteReply.DiscardUnknown(m)
}

var xxx_messageInfo_WriteReply proto.InternalMessageInfo

func (m *WriteReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func (m *WriteReply) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

type AttributeDimension struct {
	DimX                 int64    `protobuf:"varint,1,opt,name=dim_x,json=dimX,proto3" json:"dim_x,omitempty"`
	DimY                 int64    `protobuf:"varint,2,opt,name=dim_y,json=dimY,proto3" json:"dim_y,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AttributeDimension) Reset()         { *m = AttributeDimension{} }
func (m *AttributeDimension) String() string { return proto.CompactTextString(m) }
func (*AttributeDimension) ProtoMessage()    {}
func (*AttributeDimension) Descriptor() ([]byte, []int) {
	return fileDescriptor_f97a9220cd723d2e, []int{5}
}

func (m *AttributeDimension) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AttributeDimension.Unmarshal(m, b)
}
func (m *AttributeDimension) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AttributeDimension.Marshal(b, m, deterministic)
}
func (m *AttributeDimension) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AttributeDimension.Merge(m, src)
}
func (m *AttributeDimension) XXX_Size() int {
	return xxx_messageInfo_AttributeDimension.Size(m)
}
func (m *AttributeDimension) XXX_DiscardUnknown() {
	xxx_messageInfo_AttributeDimension.DiscardUnknown(m)
}

var xxx_messageInfo_AttributeDimension proto.InternalMessageInfo

func (m *AttributeDimension) GetDimX() int64 {
	if m != nil {
		return m.DimX
	}
	return 0
}

func (m *AttributeDimension) GetDimY() int64 {
	if m != nil {
		return m.DimY
	}
	return 0
}

type TimeVal struct {
	TvNsec               int64    `protobuf:"varint,1,opt,name=tv_nsec,json=tvNsec,proto3" json:"tv_nsec,omitempty"`
	TvSec                int64    `protobuf:"varint,2,opt,name=tv_sec,json=tvSec,proto3" json:"tv_sec,omitempty"`
	TvUsec               int64    `protobuf:"varint,3,opt,name=tv_usec,json=tvUsec,proto3" json:"tv_usec,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TimeVal) Reset()         { *m = TimeVal{} }
func (m *TimeVal) String() string { return proto.CompactTextString(m) }
func (*TimeVal) ProtoMessage()    {}
func (*TimeVal) Descriptor() ([]byte, []int) {
	return fileDescriptor_f97a9220cd723d2e, []int{6}
}

func (m *TimeVal) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TimeVal.Unmarshal(m, b)
}
func (m *TimeVal) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TimeVal.Marshal(b, m, deterministic)
}
func (m *TimeVal) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TimeVal.Merge(m, src)
}
func (m *TimeVal) XXX_Size() int {
	return xxx_messageInfo_TimeVal.Size(m)
}
func (m *TimeVal) XXX_DiscardUnknown() {
	xxx_messageInfo_TimeVal.DiscardUnknown(m)
}

var xxx_messageInfo_TimeVal proto.InternalMessageInfo

func (m *TimeVal) GetTvNsec() int64 {
	if m != nil {
		return m.TvNsec
	}
	return 0
}

func (m *TimeVal) GetTvSec() int64 {
	if m != nil {
		return m.TvSec
	}
	return 0
}

func (m *TimeVal) GetTvUsec() int64 {
	if m != nil {
		return m.TvUsec
	}
	return 0
}

func init() {
	proto.RegisterType((*ReadAttributeMessage)(nil), "mascot.ReadAttributeMessage")
	proto.RegisterType((*ReadAttributeReply)(nil), "mascot.ReadAttributeReply")
	proto.RegisterType((*DeviceAttribute)(nil), "mascot.DeviceAttribute")
	proto.RegisterType((*WriteAttributeMessage)(nil), "mascot.WriteAttributeMessage")
	proto.RegisterType((*WriteReply)(nil), "mascot.WriteReply")
	proto.RegisterType((*AttributeDimension)(nil), "mascot.AttributeDimension")
	proto.RegisterType((*TimeVal)(nil), "mascot.TimeVal")
}

func init() { proto.RegisterFile("attributes.proto", fileDescriptor_f97a9220cd723d2e) }

var fileDescriptor_f97a9220cd723d2e = []byte{
	// 590 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xb4, 0x54, 0xcf, 0x6b, 0xd4, 0x40,
	0x14, 0x66, 0xdd, 0x6c, 0xd2, 0x7d, 0x6b, 0x7f, 0x4d, 0x6d, 0x3b, 0x16, 0x14, 0x49, 0x45, 0x04,
	0xb5, 0x87, 0x7a, 0xf0, 0x20, 0x08, 0xc5, 0x6d, 0x2f, 0x62, 0xc1, 0xb1, 0x56, 0x0b, 0x42, 0x98,
	0x24, 0xaf, 0xdb, 0x81, 0x4d, 0xb2, 0x66, 0x26, 0x89, 0xb9, 0x79, 0xf7, 0x0f, 0xf5, 0xdf, 0x90,
	0x79, 0xd9, 0x6c, 0xb6, 0x56, 0xd0, 0x83, 0xde, 0x66, 0xbe, 0xef, 0x9b, 0x37, 0xdf, 0xfb, 0x26,
	0x2f, 0xb0, 0x21, 0x8d, 0xc9, 0x55, 0x58, 0x18, 0xd4, 0x07, 0xb3, 0x3c, 0x33, 0x19, 0x73, 0x13,
	0xa9, 0xa3, 0xcc, 0xec, 0x6d, 0x1a, 0x99, 0x4e, 0xb2, 0x00, 0xd3, 0x22, 0x99, 0x53, 0x7b, 0xa3,
	0x52, 0x4e, 0x0b, 0x6c, 0x37, 0x98, 0xe7, 0x59, 0xde, 0x6c, 0xfc, 0xcf, 0x70, 0x47, 0xa0, 0x8c,
	0x8f, 0xda, 0x62, 0x6f, 0x51, 0x6b, 0x39, 0x41, 0x76, 0x1f, 0x20, 0xc6, 0x52, 0x45, 0x78, 0x2a,
	0x13, 0xe4, 0xbd, 0x07, 0xbd, 0xc7, 0x43, 0xb1, 0x84, 0xb0, 0x87, 0xb0, 0xba, 0x30, 0x40, 0x92,
	0x5b, 0x24, 0xb9, 0x0e, 0xfa, 0xdf, 0x7a, 0xc0, 0xae, 0x95, 0x17, 0x38, 0x9b, 0xd6, 0x8c, 0x83,
	0xa7, 0x8b, 0x28, 0x42, 0xad, 0xa9, 0xf2, 0x8a, 0x68, 0xb7, 0x6c, 0x1f, 0x06, 0xe4, 0x8e, 0xca,
	0x8d, 0x0e, 0x57, 0x0f, 0x9a, 0x9e, 0x0e, 0x8e, 0x2d, 0x28, 0x1a, 0x8e, 0x3d, 0x01, 0x27, 0x96,
	0x46, 0xf2, 0x3e, 0x69, 0x76, 0x5b, 0xcd, 0x98, 0xdc, 0x75, 0x57, 0x91, 0xc8, 0xff, 0xe1, 0xc0,
	0xfa, 0x2f, 0x0c, 0x7b, 0x01, 0x23, 0xcb, 0x05, 0x97, 0x59, 0x9e, 0x48, 0x43, 0x1e, 0xd6, 0x0e,
	0x77, 0xda, 0x3a, 0x56, 0x37, 0x96, 0x46, 0x9e, 0x10, 0x2b, 0x20, 0x5e, 0xac, 0xd9, 0x16, 0x0c,
	0x62, 0x95, 0x04, 0x5f, 0xc9, 0x5e, 0x5f, 0x38, 0xb1, 0x4a, 0x3e, 0xb5, 0x60, 0x4d, 0x7e, 0x1a,
	0xf0, 0x82, 0xdd, 0x03, 0xb8, 0x92, 0x3a, 0xb8, 0x94, 0x6a, 0x8a, 0x31, 0x77, 0xa8, 0xcb, 0xe1,
	0x95, 0xd4, 0x27, 0x04, 0xb0, 0xbb, 0xb0, 0xa2, 0x74, 0x80, 0xc9, 0xcc, 0xd4, 0x7c, 0xd0, 0x44,
	0xa0, 0xf4, 0xb1, 0xdd, 0x32, 0x06, 0x4e, 0x6a, 0x03, 0x75, 0x29, 0x50, 0x5a, 0xb3, 0x5d, 0xf0,
	0xd2, 0x30, 0xc8, 0x51, 0xc6, 0xdc, 0xa3, 0x4b, 0xdc, 0x34, 0xb4, 0xb9, 0xda, 0x6b, 0xd2, 0x30,
	0xa8, 0x72, 0x65, 0x0c, 0xa6, 0x7c, 0x85, 0xb8, 0x61, 0x1a, 0x7e, 0x6c, 0x00, 0xf6, 0x0c, 0xbc,
	0x2f, 0x85, 0x9c, 0x2a, 0x53, 0xf3, 0x21, 0x35, 0xb9, 0xb5, 0xdc, 0xe4, 0xbb, 0x86, 0x12, 0xad,
	0x86, 0xbd, 0x84, 0x51, 0x1e, 0xc4, 0x2a, 0xc1, 0x54, 0xab, 0x2c, 0xe5, 0x40, 0xf9, 0xee, 0x2d,
	0x1f, 0xa1, 0xfc, 0xc6, 0xad, 0x42, 0x40, 0xbe, 0x58, 0xb3, 0x7d, 0x70, 0x8c, 0x4a, 0x90, 0x8f,
	0xe8, 0xd4, 0x7a, 0x7b, 0xea, 0x4c, 0x25, 0x78, 0x2e, 0xa7, 0x82, 0x48, 0xf6, 0x08, 0x1c, 0x53,
	0xcf, 0x90, 0xdf, 0x26, 0x37, 0xac, 0x15, 0xbd, 0x4e, 0xe2, 0xa3, 0x7c, 0x72, 0x56, 0xcf, 0x50,
	0x10, 0xcf, 0x9e, 0xc2, 0x80, 0x3e, 0x59, 0xbe, 0x4a, 0xd5, 0x76, 0x6e, 0x78, 0x38, 0xb7, 0xac,
	0x68, 0x44, 0x6c, 0x07, 0xbc, 0x2a, 0x68, 0x1e, 0x66, 0x8d, 0x22, 0x18, 0x54, 0x63, 0xfb, 0x32,
	0x0b, 0xbc, 0xe6, 0xeb, 0x1d, 0x7e, 0x61, 0xfb, 0xac, 0x96, 0xfa, 0xdc, 0xf8, 0x73, 0x9f, 0x55,
	0xd7, 0xe7, 0xae, 0x2d, 0xda, 0x98, 0xdb, 0xa4, 0x27, 0x72, 0x2b, 0x32, 0xe3, 0x7f, 0xef, 0xc1,
	0xb6, 0x0d, 0x1e, 0xff, 0xcf, 0x30, 0x75, 0x99, 0xf4, 0xff, 0x22, 0x13, 0xff, 0x0d, 0x00, 0x99,
	0xf9, 0x17, 0x13, 0xe7, 0xbf, 0x02, 0x76, 0x33, 0x95, 0x6e, 0x1a, 0x7a, 0xbf, 0x9b, 0x86, 0x6e,
	0x44, 0x2e, 0x7c, 0x01, 0xde, 0xfc, 0x3b, 0xb0, 0xf1, 0x99, 0x32, 0x48, 0x35, 0x46, 0xf3, 0x63,
	0xae, 0x29, 0x4f, 0x35, 0x46, 0x6c, 0x1b, 0x5c, 0x53, 0x06, 0x16, 0x6f, 0x4e, 0x0e, 0x4c, 0xf9,
	0x1e, 0xa3, 0xb9, 0xbe, 0xb0, 0x78, 0xbf, 0xd5, 0x7f, 0xd0, 0x18, 0x85, 0x2e, 0xfd, 0xc0, 0x9e,
	0xff, 0x0c, 0x00, 0x00, 0xff, 0xff, 0xc7, 0xd8, 0x38, 0x18, 0x09, 0x05, 0x00, 0x00,
}
